Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Interface SpnegoTokenGenerator

Deprecated. (4.2) subclass `KerberosScheme` and override `GGSSchemeBase.generateGSSToken(byte[], org.ietf.jgss.Oid, String)`

    @Deprecated
    public interface SpnegoTokenGenerator

Abstract SPNEGO token generator. Implementations should take an Kerberos ticket and transform into a SPNEGO token.

Implementations of this interface are expected to be thread-safe.

Since:
  4.1

Method Summary
`byte[]` | `generateSpnegoDERObject(byte[] kerberosTicket)` Deprecated.

Method Detail

### generateSpnegoDERObject

    byte[] generateSpnegoDERObject(byte[] kerberosTicket)
                                   throws IOException

  Deprecated.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.